Subject: Re: [PATCH 1/3] command-list.txt: group common commands by theme

From: Johannes Sixt <[email-masked]>
Date: Thu, 07 May 2015 21:23:27 +0200

Am 07.05.2015 um 18:50 schrieb Eric Sunshine:
> On Wed, May 6, 2015 at 4:58 PM, Sébastien Guimmara
> <[email-masked]> wrote:
>> On 05/06/2015 08:57 AM, Eric Sunshine wrote:
>>> On Mon, May 4, 2015 at 4:28 PM, Sébastien Guimmara
>>> <[email-masked]> wrote:
>>>> -git-write-tree                          plumbingmanipulators
>>>> +git-write-tree                          plumbingmanipulators
>>>> \ No newline at end of file
>>>
>>> Your editor is perhaps dropping the final newline in the file? This is
>>> an undesirable change. Patch 2/3 exhibits the same problem.
>>
>> As for the final newline, it was deliberately removed. I was not aware it
>> was necessary in text files. I'll correct this.
>
> Historically, many Unix tools incorrectly handled files lacking that
> final newline; sometimes by dropping the line altogether, sometimes
> mis-processing it in some way or another. Misbehaviors still exist
> today, often in BSD tools. In fact, just a few days ago, such a
> problem was reported for git-filter-branch[1]. Consequently, retaining
> newline is good insurance against misbehaving tools.

Files lacking the trailing new-line are not "text files" according to 
the POSIX definition, BTW.

-- Hannes